---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libhs301t004.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4B2A0, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4D1E0, symBinAddr: 0xE128, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4D5C8, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4E568, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4E570, symBinAddr: 0xF4B8, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4AF40, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4AF44, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4AF48, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4B098, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B150, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B154, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B158, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B15C, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B160, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8ED7, offset: 0x8ED7, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B168, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F60, offset: 0x8F60, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B180, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x8F79, offset: 0x8F79, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4B188, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8F92, offset: 0x8F92, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4B190, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FAB, offset: 0x8FAB, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4B198, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FC5, offset: 0x8FC5, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4B1A0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x90E4, offset: 0x90E4, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3E78, symSize: 0xA0 }
  - { offsetInCU: 0x9179, offset: 0x9179, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3E50, symSize: 0x28 }
  - { offsetInCU: 0x91DC, offset: 0x91DC, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3DD0, symSize: 0x80 }
  - { offsetInCU: 0x9470, offset: 0x9470, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3F18, symSize: 0x34 }
  - { offsetInCU: 0x94CA, offset: 0x94CA, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3F4C, symSize: 0x20C }
  - { offsetInCU: 0x9683, offset: 0x9683, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x4158, symSize: 0x28 }
  - { offsetInCU: 0x974C, offset: 0x974C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x4180, symSize: 0xB0 }
  - { offsetInCU: 0x9843, offset: 0x9843, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x4230, symSize: 0xD8 }
  - { offsetInCU: 0x9968, offset: 0x9968, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x4308, symSize: 0x24 }
  - { offsetInCU: 0x9A2B, offset: 0x9A2B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x432C, symSize: 0x168 }
  - { offsetInCU: 0x9C07, offset: 0x9C07, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x4494, symSize: 0x104 }
  - { offsetInCU: 0x9EB8, offset: 0x9EB8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x4598, symSize: 0x3F8 }
  - { offsetInCU: 0xA102, offset: 0xA102, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x4990, symSize: 0x154 }
  - { offsetInCU: 0xA2E6, offset: 0xA2E6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4AE4, symSize: 0xAC }
  - { offsetInCU: 0xA413, offset: 0xA413, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x24EC, symBinAddr: 0x4B90, symSize: 0x2A0 }
  - { offsetInCU: 0xA6C4, offset: 0xA6C4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x4E30, symSize: 0x14 }
  - { offsetInCU: 0xA6FD, offset: 0xA6FD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4E44, symSize: 0x14 }
  - { offsetInCU: 0xA736, offset: 0xA736, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x4E58, symSize: 0x14 }
  - { offsetInCU: 0xA8B3, offset: 0xA8B3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x4E6C, symSize: 0x1A8 }
  - { offsetInCU: 0xABC7, offset: 0xABC7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x5014, symSize: 0x9C }
  - { offsetInCU: 0xAC84, offset: 0xAC84, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x50B0, symSize: 0x690 }
  - { offsetInCU: 0xB816, offset: 0xB816, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x90A4, symBinAddr: 0x6220, symSize: 0x30 }
  - { offsetInCU: 0xB8A2, offset: 0xB8A2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x5740, symSize: 0x74 }
  - { offsetInCU: 0xB98A, offset: 0xB98A, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x57B4, symSize: 0xB0 }
  - { offsetInCU: 0xBA95, offset: 0xBA95, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5864, symSize: 0x3C }
  - { offsetInCU: 0xBB8B, offset: 0xBB8B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x58A0, symSize: 0x29C }
  - { offsetInCU: 0xBECE, offset: 0xBECE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5B3C, symSize: 0xD0 }
  - { offsetInCU: 0xBFFC, offset: 0xBFFC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5C0C, symSize: 0xC }
  - { offsetInCU: 0xC0BE, offset: 0xC0BE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5C18, symSize: 0x22C }
  - { offsetInCU: 0xC379, offset: 0xC379, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5E44, symSize: 0x4 }
  - { offsetInCU: 0xC3BD, offset: 0xC3BD, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5E44, symSize: 0x4 }
  - { offsetInCU: 0xC3D6, offset: 0xC3D6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5E48, symSize: 0x258 }
  - { offsetInCU: 0xC6FB, offset: 0xC6FB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F24, symBinAddr: 0x60A0, symSize: 0x4 }
  - { offsetInCU: 0xC73F, offset: 0xC73F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F24, symBinAddr: 0x60A0, symSize: 0x4 }
  - { offsetInCU: 0xC7D0, offset: 0xC7D0, size: 0x8, addend: 0x0, symName: _callbackClassPrepare, symObjAddr: 0x8F28, symBinAddr: 0x60A4, symSize: 0x17C }
  - { offsetInCU: 0xCA05, offset: 0xCA05, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x90D4, symBinAddr: 0x6250, symSize: 0x358 }
...
